Creates a new environment from provided data
curl --request POST \
--url https://api.rootly.com/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "environments",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "environments",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"notify_emails": [
"<string>"
],
"color": "<string>",
"position": 123,
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
environments Show child attributes
The name of the environment
The description of the environment
The hex color of the environment
Position of the environment
Emails to attach to the environment
environment created
Show child attributes
Unique ID of the environment
environments Show child attributes
The name of the environment
Date of creation
Date of last update
The slug of the environment
The description of the environment
Emails attached to the environment
The hex color of the environment
Position of the environment
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/environments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "environments",
"attributes": {
"name": "<string>",
"description": "<string>",
"color": "<string>",
"position": 123,
"notify_emails": [
"<string>"
],
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "environments",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"slug": "<string>",
"description": "<string>",
"notify_emails": [
"<string>"
],
"color": "<string>",
"position": 123,
"slack_channels": [
{
"id": "<string>",
"name": "<string>"
}
],
"slack_aliases": [
{
"id": "<string>",
"name": "<string>"
}
]
}
}
}